Установка GCC на SLES 12

У меня возникли проблемы с установкой gcc на новую коробку SLES 12. Цель здесь – заставить R Shiny работать, но когда я пытаюсь установить какие-либо пакеты, я получаю следующую ошибку:

 sudo su - -c "R -e \"install.packages('Rcpp',repos='https://cran.rstudio.com/')\"" make: g++: Command not found 

Это заставляет меня думать, что мне нужно установить gcc .

which gcc :

which: no gcc in (/sbin:/usr/sbin:/usr/local/sbin:/root/bin:/usr/local/bin:/usr/bin:/bin:/usr/games)

gcc -version :

If 'gcc' is not a typo you can use command-not-found to lookup the package that contains it, like this: cnf gcc

Здесь начинается проблема. Когда я zypper in gcc :

Problem: gcc-4.7-7.1.1.x86_64 requires gcc47, but this requirement cannot be provided uninstallable providers: gcc47-4.7.2_20130108-2.1.6.i586[oss] gcc47-4.7.2_20130108-2.1.6.x86_64[oss]

Ок. zypper in gcc47-4.7.2_20130108-2.1.6.x86_64

Результаты:

Problem: gcc47-4.7.2_20130108-2.1.6.x86_64 requires glibc-devel, but this requirement cannot be provided uninstallable providers: glibc-devel-2.17-4.4.1.i586[oss] glibc-devel-2.17-4.4.1.x86_64[oss]

Тогда … zypper in glibc-devel

Результаты:

Problem: glibc-devel-2.17-4.4.1.x86_64 requires glibc = 2.17, but this requirement cannot be provided uninstallable providers: glibc-2.17-4.4.1.i586[oss] glibc-2.17-4.4.1.x86_64[oss]

zypper in glibc

Результаты: «glibc» уже установлен.

No update candidate for 'glibc-2.19-17.72.x86_64'. The highest available version is already installed.

Поэтому где-то в этой цепочке зависимостей RPM нужна более низкая версия того, что у меня уже есть. Я не хочу понижать систему. Есть ли способ получить самую последнюю версию GCC, которая будет работать с glibc-2.19 ? Я здесь что-то не так? Мне не хватает репо?

 SLSE12:~ # cat /etc/os-release NAME="SLES" VERSION="12" VERSION_ID="12" PRETTY_NAME="SUSE Linux Enterprise Server 12" ID="sles" ANSI_COLOR="0;32" CPE_NAME="cpe:/o:suse:sles:12" # zypper lr -u # | Alias | Name | Enabled | Refresh | URI --+-----------+-----------+---------+---------+------------------------------------------------------------------------------- 1 | gcc | gcc | Yes | No | http://download.opensuse.org/repositories/devel:/gcc/SLE-12/ 2 | oss | oss | Yes | No | http://download.opensuse.org/distribution/12.3/repo/oss/ 3 | r-patched | r-patched | Yes | No | http://download.opensuse.org/repositories/devel:/languages:/R:/patched/SLE_12/ 

Interesting Posts

Отобразить имя хоста в GDM3 на Fedora 19 на экране входа в систему

Как запустить приложение с определенными групповыми разрешениями?

Интересует странный ICMP-код 3-го кода на мой IP-адрес

Назначьте значение переменной внутри цикла

Путь к файлу в журнале аудита вместо номера inode

Сервер MySQL на Ubuntu не запускается после внесения изменений в my.cnf в Windows

Понимание нескольких моментов в отношении прав root

Есть ли Linux Distro, который имеет Tiling Window Manager в качестве основного WM?

Обратное обращение с sed

Как добавить строку во многие файлы

regex заменить текст в XML-файле в узле из командной строки

Exim: электронная почта для root игнорирует / etc / aliases и /root/.forward – всегда используется для определения имени домена

Как установить разрешения в / sys / Permanent?

Могу ли я читать настройки в BIOS без перезагрузки Ubuntu

xsession-errors на linux mint 17.2. Не найдено решений по подобным вопросам

Linux и Unix - лучшая ОС в мире.